package ru.yandex.autotests.directapi.darkside.model;

/**
 * Created by semkagtn on 13.05.15.
 */
public enum ModerationFlag {

    ABORTION("abortion", "1", "abortion"),
    MED_EQUIPMENT("med_equipment", "1", "med_equipment"),
    MED_SERVICES("med_services", "1", "med_services"),
    MEDICINE("medicine", "1", "medicine"),
    PHARMACY("pharmacy", "1", "pharmacy"),
    ALCOHOL("alcohol", "1", "alcohol"),
    TOBACCO("tobacco", "1", "tobacco"),
    DIETARY_SUPPL("dietarysuppl", "1", "dietarysuppl"),
    PSEUDO_WEAPON("pseudoweapon", "1", "pseudoweapon"),
    TRAGIC("tragic", "1", "tragic"),
    ADULT("adult", "1", "adult"),
    FOREX("forex", "1", "forex"),
    BABY_FOOD_0("baby_food", "baby_food0", "baby_food:0"),
    BABY_FOOD_1("baby_food", "baby_food1", "baby_food:1"),
    BABY_FOOD_2("baby_food", "baby_food2", "baby_food:2"),
    BABY_FOOD_3("baby_food", "baby_food3", "baby_food:3"),
    BABY_FOOD_4("baby_food", "baby_food4", "baby_food:4"),
    BABY_FOOD_5("baby_food", "baby_food5", "baby_food:5"),
    BABY_FOOD_6("baby_food", "baby_food6", "baby_food:6"),
    BABY_FOOD_7("baby_food", "baby_food7", "baby_food:7"),
    BABY_FOOD_8("baby_food", "baby_food8", "baby_food:8"),
    BABY_FOOD_9("baby_food", "baby_food9", "baby_food:9"),
    BABY_FOOD_10("baby_food", "baby_food10", "baby_food:10"),
    BABY_FOOD_11("baby_food", "baby_food11", "baby_food:11"),
    BABY_FOOD_12("baby_food", "baby_food12", "baby_food:12"),
    AGE_0("age", "age0", "age:0"),
    AGE_6("age", "age6", "age:6"),
    AGE_12("age", "age12", "age:12"),
    AGE_16("age", "age16", "age:16"),
    AGE_18("age", "age18", "age:18"),
    PROJECT_DECLARATION("project_declaration", "1", "project_declaration"),
    FINANCE("finance", "1", "finance"),
    LOTTERY("lottery", "1", "lottery"),
    REALTY("realty", "1", "realty"),
    DISTANCE_SALES("distance_sales", "1", "distance_sales"),;

    private String key;
    private String value;
    private String dbValue;

    ModerationFlag(String key, String value, String dbValue) {
        this.key = key;
        this.value = value;
        this.dbValue = dbValue;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    public String getDbValue() {
        return dbValue;
    }

    @Override
    public String toString() {
        return key;
    }
}
